I have already deploy Acrobat 8.0 standard users and I'm now trying to deploy the 8.1.0, 8.1.1 and 8.1.2 patches in this order to my existing msi application. As my application package is right now, it distributes Acrobat 8.0 and the 8.1.0 and 8.1.1 patches and then the 8.1.2 uninstalls the whole program.

I have been able to verify that just the first two patches install correctly, it's the 8.1.2 that is having problems. However, it installs fine if I deploy it with a batch file

Has anybody seen this or have any idea what's happening?